return {

    {
        "catppuccin/nvim",
        name = "catppuccin",
        priority = 1003,
        opts = {
            neotree = true,
        },
        config = function()
            local catppuccin = require("catppuccin")
            catppuccin.setup({
                flavour = "auto",
                background = {
                    dark = "mocha",
                    light = "latte",
                },
                integrations = {
                    cmp = true,
                    gitsigns = true,
                    nvimtree = true,
                    treesitter = true,
                    notify = false,
                    mini = {
                        enabled = true,
                        indentscope_color = "",
                    },
                    -- For more plugins integrations please scroll down (https://github.com/catppuccin/nvim#integrations)
                },
                transparent_background = true,
            })
            vim.cmd.colorscheme("catppuccin")
        end,
    },
}
