return {
    {
        "stevearc/conform.nvim",
        opts = {},
        config = function()
            local confrom = require("conform")
            confrom.setup({
                log_level = vim.log.levels.DEBUG,
                formatters_by_ft = {
                    lua = { "stylua" },
                    javascript = { "prettierd", "eslint_d" },
                    typescript = { "prettierd", "eslint_d" },
                    typescriptreact = { "prettierd", "eslint_d" },
                    json = { "prettierd" },
                    jsonc = { "prettierd" },
                    go = { "gofumpt", "goimports" },
                },
                format_on_save = {
                    timeout_ms = 500,
                    lsp_fallback = true,
                },
            })
        end,
    },
}
