return {

    {
        "L3MON4D3/LuaSnip",
        version = "2.*",
        build = (not jit.os:find("Windows"))
                and "echo 'NOTE: jsregexp is optional, so not a big deal if it fails to build'; make install_jsregexp"
            or nil,
        opts = {
            history = true,
            delete_check_events = "TextChanged",
        },
        config = function(_, opts)
            local ls = require("luasnip")
            ls.setup({
                history = true,
                delete_check_events = "TextChanged",
            })
            require("luasnip.loaders.from_lua").load({ paths = "~/snippets" })
        end,
        dependencies = {
            "hrsh7th/nvim-cmp",
        },
        -- stylua: ignore
    },
}
