return {

    {
        "pmizio/typescript-tools.nvim",
        dependencies = { "nvim-lua/plenary.nvim", "neovim/nvim-lspconfig" },
        config = function()
            require("typescript-tools").setup({
                single_file_support = true,
                settings = {
                    single_file_support = true,
                },
            })
            vim.keymap.set(
                "n",
                "<leader>toi",
                "<CMD>TSToolsOrganizeImports<CR>",
                { desc = "[T]ypescript [O]rganize [I]mports" }
            )
        end,
    },
}
